Bug 979736 - [abrt] yumex-3.0.10-2.fc19: misc.py:1017:write:IOError: [Errno 5] Ошибка ввода/вывода
[abrt] yumex-3.0.10-2.fc19: misc.py:1017:write:IOError: [Errno 5] Ошибка ввод...
Status: CLOSED DUPLICATE of bug 881860
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
abrt_hash:92bf0b593194ae00518efabce60...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-30 00:41 EDT by Stanislav Vyaly
Modified: 2013-09-10 08:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 08:05:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.04 KB, text/plain)
2013-06-30 00:41 EDT, Stanislav Vyaly
no flags Details
File: core_backtrace (426 bytes, text/plain)
2013-06-30 00:41 EDT, Stanislav Vyaly
no flags Details
File: environ (316 bytes, text/plain)
2013-06-30 00:41 EDT, Stanislav Vyaly
no flags Details

  None (edit)
Description Stanislav Vyaly 2013-06-30 00:41:08 EDT
Version-Release number of selected component:
yumex-3.0.10-2.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python -E /usr/share/yumex/yum_childtask.py 2 True False /etc/yum.conf
dso_list:       yum-3.4.3-99.fc19.noarch
executable:     /usr/share/yumex/yum_childtask.py
kernel:         3.9.8-300.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
misc.py:1017:write:IOError: [Errno 5] Ошибка ввода/вывода

Traceback (most recent call last):
  File "/usr/share/yumex/yum_childtask.py", line 67, in <module>
    my.dispatcher()
  File "/usr/lib/python2.7/site-packages/yumexbackend/yum_server.py", line 1408, in dispatcher
    self.write(":exception\t%s" % pack(errmsg))
  File "/usr/lib/python2.7/site-packages/yumexbackend/yum_server.py", line 355, in write
    sys.stdout.write("%s\n" % msg)
  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 1017, in write
    self.stream.write(s)
IOError: [Errno 5] Ошибка ввода/вывода

Local variables in innermost frame:
s: ':exception\tUydUcmFjZWJhY2sgKG1vc3QgcmVjZW50IGNhbGwgbGFzdCk6XG4gIEZpbGUgIi91c3IvbGliL3B5dGhvbjIuNy9zaXRlLXBhY2thZ2VzL3l1bWV4YmFja2VuZC95dW1fc2VydmVyLnB5IiwgbGluZSAxMzkzLCBpbiBkaXNwYXRjaGVyXG4gICAgc2VsZi5wYXJzZV9jb21tYW5kKGFyZ3NbMF0sIGFyZ3NbMTpdKVxuICBGaWxlICIvdXNyL2xpYi9weXRob24yLjcvc2l0ZS1wYWNrYWdlcy95dW1leGJhY2tlbmQveXVtX3NlcnZlci5weSIsIGxpbmUgMTMzNywgaW4gcGFyc2VfY29tbWFuZFxuICAgIHNlbGYuYnVpbGRfdHJhbnNhY3Rpb24oKVxuICBGaWxlICIvdXNyL2xpYi9weXRob24yLjcvc2l0ZS1wYWNrYWdlcy95dW1leGJhY2tlbmQveXVtX3NlcnZlci5weSIsIGxpbmUgODAzLCBpbiBidWlsZF90cmFuc2FjdGlvblxuICAgIHNlbGYubWVzc2FnZShcJ3RyYW5zYWN0aW9uXCcsIHBhY2soc2VsZi5fZ2V0X3RyYW5zYWN0aW9uX2xpc3QoKSkpXG4gIEZpbGUgIi91c3IvbGliL3B5dGhvbjIuNy9zaXRlLXBhY2thZ2VzL3l1bWV4YmFja2VuZC95dW1fc2VydmVyLnB5IiwgbGluZSA0NzgsIGluIG1lc3NhZ2VcbiAgICBzZWxmLndyaXRlKCI6bXNnXFx0JXNcXHQlcyIgJSAobXNnX3R5cGUsIHZhbHVlKSlcbiAgRmlsZSAiL3Vzci9saWIvcHl0aG9uMi43L3NpdGUtcGFja2FnZXMveXVtZXhiYWNrZW5kL3l1bV9zZXJ2ZXIucHkiLCBsaW5lIDM1NSwgaW4gd3JpdGVcbiAgICBzeXMuc3Rkb3V0LndyaXRlKCIlc1xcbiIgJSBtc2cpXG4gIEZpbGUgIi91c3IvbGliL3B5dGhvbjIuNy9zaXRlLXBhY2thZ2VzL3l1bS9taXNjLnB5IiwgbGluZSAxMDE3LCBpbiB3cml0ZVxuICAgIHNlbGYuc3RyZWFtLndyaXRlKHMpXG5JT0Vycm9yOiBbRXJybm8gNV0gXHhkMFx4OWVceGQxXHg4OFx4ZDBceGI4XHhkMFx4YjFceGQwXHhiYVx4ZDBceGIwIFx4ZDBceGIyXHhkMFx4YjJceGQwXHhiZVx4ZDBceGI0XHhkMFx4YjAvXHhkMFx4YjJceGQxXHg4Ylx4ZDBceGIyXHhkMFx4YmVceGQwXHhiNFx4ZDBceGIwXG4nCnAwCi4=\n'
self: <open file '<stdout>', mode 'w' at 0x7ff8a4d22150>
Comment 1 Stanislav Vyaly 2013-06-30 00:41:13 EDT
Created attachment 766971 [details]
File: backtrace
Comment 2 Stanislav Vyaly 2013-06-30 00:41:16 EDT
Created attachment 766972 [details]
File: core_backtrace
Comment 3 Stanislav Vyaly 2013-06-30 00:41:18 EDT
Created attachment 766973 [details]
File: environ
Comment 4 Айфф 2013-07-03 10:24:57 EDT
Description of problem:
Хотел узнать информацию о пакете. Появилось окошко, в нём отображалась загрузка информации, по окончании загрузки она начиналась снова и снова. Закрыл это окошко и Yumex.

Version-Release number of selected component:
yumex-3.0.10-2.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python -E /usr/share/yumex/yum_childtask.py 2 True False /etc/yum.conf russianfedora-nonfree;fedora;rpmfusion-free-updates;rpmfusion-nonfree-updates;rpmfusion-free;russianfedora-nonfree-updates;updates;russianfedora-free-updates;russianfedora-free;rpmfusion-nonfree
executable:     /usr/share/yumex/yum_childtask.py
kernel:         3.9.8-300.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
misc.py:1017:write:IOError: [Errno 5] Ошибка ввода/вывода

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1265, in _retrieve
    text=self.opts.text)
  File "/usr/lib/python2.7/site-packages/urlgrabber/progress.py", line 127, in start
    self._do_start(now)
  File "/usr/lib/python2.7/site-packages/yum/callbacks.py", line 117, in _do_start
    self.updateProgress(name,0.0,"","")
  File "/usr/lib/python2.7/site-packages/yumexbackend/yum_server.py", line 1657, in updateProgress
    self.base.yum_dnl(self.current_type, self.current_name, val, self._cur, self._tot, fread, self.totSize, ftime)
  File "/usr/lib/python2.7/site-packages/yumexbackend/yum_server.py", line 499, in yum_dnl
    self.write(":yum-dnl\t%s" % value)
  File "/usr/lib/python2.7/site-packages/yumexbackend/yum_server.py", line 355, in write
    sys.stdout.write("%s\n" % msg)
  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 1017, in write
    self.stream.write(s)
IOError: [Errno 5] Ошибка ввода/вывода

Local variables in innermost frame:
s: ':yum-dnl\tKFMnUkVQTycKcDAKUyd1cGRhdGVzLzE5L3g4Nl82NC91cGRhdGVpbmZvJwpwMQpJMApJMQpJMQpTJycKcDIKUycxMTIgaycKcDMKZzIKdHA0Ci4=\n'
self: <open file '<stdout>', mode 'w' at 0x7f2025bca150>
Comment 5 Tim Lauridsen 2013-09-10 08:05:18 EDT

*** This bug has been marked as a duplicate of bug 881860 ***

Note You need to log in before you can comment on or make changes to this bug.